package com.care.bigscreen.controller;

import com.care.bigscreen.service.BigScreenService;
import com.care.common.annotation.Permission;
import com.care.common.service.CommonService;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.util.Result;
import com.care.common.util.WebPageUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;


/**
 * @author javadoc
 * @version 1.0
 * @description 系统设置-字典管理模块-前端控制器
 * @date
 */
@Slf4j
@RestController
@RequestMapping("/bms/system/common")
public class CommonController {

    @Autowired
    CommonService commonService;
    @Autowired
    BigScreenService bigScreenService;
//    /**
//     * 字典：字段查重（字典选项代码）
//     * 作用：添加或修改时对必须唯一的字段进行查重
//     *
//     * @param typeCode 收集需要查重的字段参数
//     * @return 返回0表示字段没有重复，非零表示有重复
//     */
//    @GetMapping("/convertedCodeName")
//    @Permission
//    public Result<Object> convertedCodeName(@RequestHeader("token") String token, @RequestParam("typeCode") String typeCode, @RequestParam("value") String value, HttpServletRequest request) {
//        try {
//            UserLogindConvertVO user = WebPageUtils.getCurrentLoginedUser(request);
//                return Result.success("成功",user);
//        } catch (Exception e) {
//            return Result.error("系统错误，查询失败");
//        }
//    }
    @GetMapping("/pushEvent")
    public Result<Object> pushEvent(@RequestParam("stationId") Long stationId,@RequestParam(value = "orderId") Long orderId) {
        try {
            bigScreenService.pushRtEventFlag(String.valueOf(stationId),orderId.toString(),"bigscreenRefresh");
            bigScreenService.pushRtEventFlag(String.valueOf(stationId),orderId.toString(),"orderAdd");
            bigScreenService.pushRtEventFlag(String.valueOf(stationId),orderId.toString(),"orderUpdate");
            bigScreenService.pushRtEventFlag(String.valueOf(stationId),orderId.toString(),"orderHandle");
            return Result.success("成功");
        } catch (Exception e) {
            log.error("convertedCodeName: ",e);
            return Result.error("系统错误，推送失败");
        }
    }

}
