package com.care.common.service.impl;

import cn.hutool.core.util.StrUtil;
import com.care.common.enums.OrderTypeEnum;
import com.care.common.service.SmsSendService;
import com.care.common.util.SmsUtil;
import com.tencentcloudapi.sms.v20210111.models.SendStatus;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.Random;

/**
 * @Author: lilt
 * @Date: 2021/6/5
 * @Desc:
 */
@Service
public class SmsSendServiceImpl implements SmsSendService {

    @Value("${sms.notice.endpoint:#{null}}")
    private String noticeEndpoint;
    @Value("${sms.notice.region:#{null}}")
    private String noticeRegion;
    @Value("${sms.notice.secretId:#{null}}")
    private String noticeSecretId;
    @Value("${sms.notice.secretKey:#{null}}")
    private String noticeecretKey;
    @Value("${sms.notice.smsSdkAppId:#{null}}")
    private String noticeSmsSdkAppId;
    private String noticeSignName="熵行科技";

    @Value("${sms.notice.templateid.register.phone:#{null}}")
    private String noticeTemplateId4registerPhone;

    @Value("${sms.notice.templateid.modify.password:#{null}}")
    private String noticeTemplateId4modifyPassword;

    @Value("${sms.notice.templateid.modify.phone:#{null}}")
    private String noticeTemplateId4ModifyPhone;

    @Value("${sms.notice.templateid.jiuzhi:#{null}}")
    private String noticeTemplateId4jiuzhi;

    @Value("${sms.notice.templateid.diedao:#{null}}")
    private String noticeTemplateId4diedao;

    /**
     * 注册手机号发送短信验证码
     * @param phone
     * @return
     */
    @Override
    public boolean sendSmsCode4RegisterPhone(String phone,String params) {

        String[] _p = {params};
        SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                noticeRegion,
                noticeSecretId,
                noticeecretKey,
                noticeSmsSdkAppId,
                noticeSignName,
                noticeTemplateId4registerPhone,
                phone,_p);
        if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
            return true;
        }else{
            return  false;
        }
    }

    /**
     * 重置密码发送短信验证码
     * @param phone
     * @return
     */
    @Override
    public boolean sendSmsCode4ModifyPassword(String phone,String params) {

        String[] _p = {params};
        SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                noticeRegion,
                noticeSecretId,
                noticeecretKey,
                noticeSmsSdkAppId,
                noticeSignName,
                noticeTemplateId4modifyPassword,
                phone,_p);
        if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
            return true;
        }else{
            return  false;
        }
    }

    /**
     * 修改手机号发送短信验证码
     * @param phone
     * @return
     */
    @Override
    public boolean sendSmsCode4ModifyPhone(String phone,String params) {

        String[] _p = {params};
        SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                noticeRegion,
                noticeSecretId,
                noticeecretKey,
                noticeSmsSdkAppId,
                noticeSignName,
                noticeTemplateId4ModifyPhone,
                phone,_p);
        if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
            return true;
        }else{
            return  false;
        }
    }

   /* @Override
    public boolean sendSmsToLianxiren(String phone, String params) {
        String[] _p = {params};

        SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                noticeRegion,
                noticeSecretId,
                noticeecretKey,
                noticeSmsSdkAppId,
                noticeSignName,
                noticeTemplateId,
                phone,_p);
        if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
            return true;
        }else{
            return  false;
        }
    }*/

    @Override
    public boolean sendSmsToLianxiren(String orderType, String phone, String params) {
        String[] _p = {params};
        String _noticeTemplateId =  "";
        if (OrderTypeEnum.DI_EDAO.getValue().equals(orderType)){
            _noticeTemplateId = noticeTemplateId4diedao;
        }else if(OrderTypeEnum.JIU_ZHI.getValue().equals(orderType)){
            _noticeTemplateId = noticeTemplateId4jiuzhi;
        }
        if (StrUtil.isNotEmpty(_noticeTemplateId)){
            SendStatus sendStatus =  SmsUtil.sendSms(noticeEndpoint,
                    noticeRegion,
                    noticeSecretId,
                    noticeecretKey,
                    noticeSmsSdkAppId,
                    noticeSignName,
                    _noticeTemplateId,
                    phone,_p);
            if (sendStatus!=null && "Ok".equals(sendStatus.getCode())){
                return true;
            }else{
                return  false;
            }
        }else {
            return  false;
        }
    }
}
