package com.care.mqtt.init;


import com.care.mqtt.service.MqttConnectorPoolService;
import com.care.mqtt.service.MqttMsgRedisService;
import com.care.common.util.CommonConfUtil;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;



@Order(1)
public class MqttInitRunner implements CommandLineRunner {

    private static final Logger logger = LogManager.getLogger(MqttInitRunner.class);

    @Autowired
    private MqttConnectorPoolService mqttConnectorPoolService;
    @Autowired
    private MqttMsgRedisService mqttMsgRedisService;

    @Override
    public void run(String... args) throws Exception {
        String mqttOn = CommonConfUtil.getConf("mqtt.on");
        if ("1".equals(mqttOn)){
            logger.info("初始化MQTTstart ...........................");
            mqttConnectorPoolService.init();
            mqttMsgRedisService.init();
            logger.info("初始化MQTTend ...........................");
        }
    }

}

